> For the complete documentation index, see [llms.txt](https://docs.transparentedge.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.transparentedge.eu/security/block-by-ip-address.md).

# Blocking by IP Address

{% hint style="info" %}
To block longer lists of IP addresses, please check [network ACLs](/getting-started/dashboard/auto-provisioning/network-acls.md).
{% endhint %}

To block traffic coming from one or multiple IP addresses, you can incorporate the following configuration snippet within the vcl\_recv function.

```javascript
sub vcl_recv{
    if (req.http.True-Client-Ip ~ "(1.1.2.2|1.2.3.4)") { 
        call deny_request;
    } 
}

```

In this example, we use the IP address provided in the [True-Client-Ip](/getting-started/faq/cabeceras-por-defecto/true-client-ip-y-x-forwarded-for.md) header. If the request comes from any of the listed IP addresses, it will be blocked immediately.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.transparentedge.eu/security/block-by-ip-address.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
